> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unsubscribe from a Trigger

> Unsubscribe from a trigger on behalf of your user.



## OpenAPI

````yaml /actionkit/triggers/openapi.json DELETE /projects/{project_id}/trigger-subscriptions/{subscription_id}
openapi: 3.0.0
info:
  title: Triggers API
  version: 1.0.0
servers:
  - url: https://actionkit.useparagon.com
    description: US Cloud
security: []
paths:
  /projects/{project_id}/trigger-subscriptions/{subscription_id}:
    delete:
      summary: Unsubscribe from Trigger
      description: >-
        Removes a trigger subscription for this user by ID.


        Responds only when the trigger subscription has been completely torn
        down or there is an error.
      operationId: unsubscribeFromTrigger
      parameters:
        - $ref: '#/components/parameters/ProjectId'
        - $ref: '#/components/parameters/SubscriptionId'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  warning:
                    type: string
                    description: Present when webhook tear down fails
                    example: >-
                      Integration webhook failed to tear down. Check the
                      connected account and manually remove any old webhooks if
                      necessary. The webhook URL was:
                      https://example.com/webhook
                required:
                  - success
              examples:
                success:
                  value:
                    success: true
                successWithWarning:
                  value:
                    success: true
                    warning: >-
                      Integration webhook failed to tear down. Check the
                      connected account and manually remove any old webhooks if
                      necessary. The webhook URL was:
                      https://example.com/webhook
      security:
        - BearerAuth: []
components:
  parameters:
    ProjectId:
      name: project_id
      in: path
      required: true
      schema:
        type: string
        description: Your Paragon Project ID
    SubscriptionId:
      name: subscription_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
        description: The trigger subscription ID
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your [Paragon User
        Token](/getting-started/installing-the-connect-sdk#setup) (JWT), which
        you can generate using your project's signing keys.

````